#!/usr/bin/env python3
import os
import re
from http.server import HTTPServer, BaseHTTPRequestHandler

import requests


class Handler(BaseHTTPRequestHandler):

    def do_GET(self):
        r = requests.get('http://jurnalu.ru' + self.path,
                         headers={'User-Agent': 'Mozilla/5.0 (X11; Linux x86_64; rv:45.0) Gecko/20100101 Firefox/45.0'},
                         timeout=20)

        location = re.search(r'<img src="([^"]+)', r.text).group(1)

        self.send_response(302)
        self.send_header('Location', location)
        self.end_headers()


if __name__ == '__main__':
    address_port = ('', int(os.environ.get('PORT', 8000)))
    HTTPServer(address_port, Handler).serve_forever()